%define name dents
%define version 0.0.3
%define release 2
%define prefix /usr

Summary: A DNS nameserver.
NAME: %{name}
VERSION: %{version}
Release: %{release}
Source: dents.tar.gz
Patch0: redhat-init.d.patch
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Group: System Environment/Daemons

%description
Dents is a from scratch implementation of the server side of the
Domain Name System (DNS) protocol and it shares no code with any other
project. Among its several features are compatibility with the named
DNS daemon, a modular driver system and an extensible control facility
which allows the administrator to control the running server.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%{prefix}
make

%install

make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/debian/init.d $RPM_BUILD_ROOT/etc/rc.d/init.d/dents

strip -s $RPM_BUILD_ROOT%{prefix}/sbin/* || :
strip -s $RPM_BUILD_ROOT%{prefix}/lib/dents/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGELOG COPYING CREDITS NEWS README TODO
%defattr(-,root,root)
/etc/rc.d/init.d/dents
%{prefix}/sbin/dents
%{prefix}/lib/dents/mod_frl.a
%{prefix}/lib/dents/mod_frl.so.0.0.0        
%{prefix}/lib/dents/mod_recursive.so.0
%{prefix}/lib/dents/mod_frl.la
%{prefix}/lib/dents/mod_recursive.a
%{prefix}/lib/dents/mod_recursive.so.0.0.0
%{prefix}/lib/dents/mod_frl.so
%{prefix}/lib/dents/mod_recursive.la
%{prefix}/lib/dents/mod_frl.so.0
%{prefix}/lib/dents/mod_recursive.so


%changelog
* Thu Aug 12 1999 Tim Powers <timp@redhat.com>
- this is based off of the origional dents-0.0.3-1 src.rpm from the dents
  webpage
- started changelog
- general spec clenaups
- made the %install section use buildroot
- enhancements to the spec file so that it is easier to maintain
- added patch for debian/init.d
- changed description to description from freshmeat.net
